Replace a subscription

Update the events that you are subscribed to.

You can use the PUT operation to add, remove, or replace events in a subscription. For example, you can replace the bill.created event with bill.updated in your subscription.

Path Params
string
required
length ≥ 1

BILL-generated ID of the subscription

Body Params
string
required
length ≥ 1

Subscription name

status
object
required

Subscription status information

events
array of objects
required
length ≥ 1

Subscription events information. You can retrieve event type and version with GET /v3/events/catalog.

events*
string
required
length ≥ 1

Event type

string
required
length ≥ 1

Event type version

string
required
length ≥ 1

Event notification URL. The URL must be HTTPS. BILL uses this URL to send you event notifications.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key sent to you by BILL when you create a developer account. Set sessionId and devKey for organization-level BILL v3 API webhook events.

string | null

Application key sent to you by BILL when you create a partner account. Set sessionId and appKey for partner-level BILL v3 API webhook events.

string | null

Access token for Spend & Expense API authentication. Set apiToken for Spend & Expense webhook events.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json